| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IString Class Referenceabstract

`#include <AAX_IString.h>`

Inheritance diagram for AAX_IString:
[legend]

## Description

A simple string container that can be passed across a binary boundary. This class, for simplicity, is not versioned and thus can never change.

For a real string implementation, see AAX_CString, which inherits from this interface, but provides a much richer string interface.

This object is not versioned with ACF for a variety of reasons, but the biggest implication of that is that THIS INTERFACE CAN NEVER CHANGE!

## Public Member Functions
virtual | ~AAX_IString ()
virtual uint32_t | Length () const =0
virtual uint32_t | MaxLength () const =0
virtual const char * | Get () const =0
virtual void | Set (const char *iString)=0
virtual AAX_IString & | operator= (const AAX_IString &iOther)=0
virtual AAX_IString & | operator= (const char *iString)=0

## Constructor & Destructor Documentation

## ◆ ~AAX_IString()

virtual AAX_IString::~AAX_IString | ( |  | ) |
| inline virtual

Virtual Destructor

## Member Function Documentation

## ◆ Length()

virtual uint32_t AAX_IString::Length | ( |  | ) | const
| pure virtual

Length methods

Implemented in AAX_CString.

Referenced by AAX::String2Binary().

Here is the caller graph for this function:

## ◆ MaxLength()

virtual uint32_t AAX_IString::MaxLength | ( |  | ) | const
| pure virtual

Implemented in AAX_CString.

## ◆ Get()

virtual const char * AAX_IString::Get | ( |  | ) | const
| pure virtual

C string methods

Implemented in AAX_CString.

Referenced by AAX::IsEffectIDEqual(), and AAX::String2Binary().

Here is the caller graph for this function:

## ◆ Set()

virtual void AAX_IString::Set | ( | const char * | iString | ) |
| pure virtual

Implemented in AAX_CString.

## ◆ operator=() [1/2]

virtual AAX_IString & AAX_IString::operator= | ( | const AAX_IString & | iOther | ) |
| pure virtual

Assignment operators

Implemented in AAX_CString.

## ◆ operator=() [2/2]

virtual AAX_IString & AAX_IString::operator= | ( | const char * | iString | ) |
| pure virtual

Implemented in AAX_CString.

The documentation for this class was generated from the following file:

- AAX_IString.h